Subject: [PWE3] RE: Alignment of TotalPerf tables in PW MIBs

From: "Orly Nicklass" <[email-masked]>
Date: Tue, 25 Oct 2005 12:17:01 +0200

Hi,
I agree that we should align the definition and the naming convention
among the 3 specified MIB modules, however not to the one presented by
3895 for the following reasons:
-3895 represents statistics at the interface-end point, the 3 MIBs
relate to connection. Connection might not exist at all time and it is
interesting to know the total PM during the life of the connection.
- Looking at 3895,  3592 which obsolete 2558, and the various DSLs PM
data, there is a trend towards 15min and days intervals. The total of
last 24 hours can me computed from existing intervals  by  the manager.

I rather see them all aligned, as suggested by RON, but to  their
current existing semantic.
Orly

-----Original Message-----
From: Ron Cohen [mailto:[email-masked]] 
Sent: Tuesday, October 25, 2005 11:20
To: [email-masked]; [email-masked]; Orly Nicklass;
[email-masked]
Cc: Doron Tzur
Subject: Alignment of TotalPerf tables in PW MIBs

Hi,

I suggest to align the definition of TotalPereformance tables across the
various PW MIBs as well as align with already defined Total performance
tables in published RFCs. 

In particular, I suggest to align the definition in PW-MIB, TDM-MIB and
CEP-MIB to that of RFC-3895:

 "The (place name here) Total Table contains the cumulative sum
  of the various statistics for the 24 hour period
  preceding the current interval."

And to align the names to always include Total and structured in the
same way, i.e. change in TDM-MIB the name pwVcTDMPerfTable to
pwTDMPerfTotalTable.

The different definitions for total tables in the relevant MIBs can be
found below.

Best
Ron

PW-MIB:

pwPerfTotalTable  OBJECT-TYPE 
      SYNTAX        SEQUENCE OF PwPerfTotalEntry 
      MAX-ACCESS    not-accessible 
      STATUS        current 
      DESCRIPTION 
           "This table provides per-PW Performance information from  
            PW start time or management application reset." 
      ::= { pwObjects 5 } 

CEP-MIB:

pwCepPerfTotalTable OBJECT-TYPE 
      SYNTAX        SEQUENCE OF PwCepPerfTotalEntry 
      MAX-ACCESS    not-accessible 
      STATUS        current 
      DESCRIPTION 
          "This table provides per CEP PW performance information 
           much like the pwCepPerfIntervalTable above. However, 
           these counts represent complete historical information. 

TDM-MIB:

pwVcTDMPerfTable OBJECT-TYPE
     SYNTAX        SEQUENCE OF PwVcTDMPerfEntry
     MAX-ACCESS    not-accessible
     STATUS        current
     DESCRIPTION
         "This table provides performance information per TDM PW
          similar to the pwVcTDMPerfIntervalTable above. However,
          these counters represent complete historical information. "
     ::= { pwVcTDMObjects 7 }

RFC-3895: Definitions of Managed Objects for the DS1, E1, DS2, and E2
Interface Types

dsx1TotalTable OBJECT-TYPE
     SYNTAX  SEQUENCE OF Dsx1TotalEntry
     MAX-ACCESS  not-accessible
     STATUS  current
     DESCRIPTION
            "The DS1 Total Table contains the cumulative sum
            of the various statistics for the 24 hour period
            preceding the current interval."
     ::= { ds1 9 }

RFC-2558: Definition of Managed Objects for the SONET/SDH interface
type:

No total table, only current and interval tables

Ron Cohen
CTO
Resolute Networks
Redux and Lycium Unite 

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

---

From: "Orly Nicklass" <[email-masked]>
Date: Tue, 25 Oct 2005 19:11:30 +0200

I think we should re-evaluate the semantic, cumulative sum of existing
data provides no added information.
3895 maintains those for backward compatibility. 3592 does not have it,
and 3276 moves towards days interval. This indicates some trend as I
mentioned before.

-----Original Message-----
From: Thomas D. Nadeau [mailto:[email-masked]] 
Sent: Tuesday, October 25, 2005 16:48
To: Ron Cohen
Cc: [email-masked]; Orly Nicklass; [email-masked]; Doron Tzur
Subject: Re: Alignment of TotalPerf tables in PW MIBs

     This suggestion looks okay to me.

     --Tom

> Hi,
>
> I suggest to align the definition of TotalPereformance tables across 
> the various PW MIBs as well as align with already defined Total 
> performance tables in published RFCs.
>
> In particular, I suggest to align the definition in PW-MIB, TDM-MIB 
> and CEP-MIB to that of RFC-3895:
>

> RFC-3895: Definitions of Managed Objects for the DS1, E1, DS2, and
> E2 Interface Types
>

---

From: "Ron Cohen" <[email-masked]>
Date: Tue, 25 Oct 2005 23:53:51 +0200

Orly,

I agree that the Total table does not add any new information that can not be compiled from the interval table if 24 hours worth intervals are kept. However, maintaining 24 hour history is only an option (the default being 32 intervals: 8 hours). 

I do not agree that there is a difference between an T1 interface and a T1 pw. They should be treated the same way. The T1 can be a physical interface but can also be a channel carried in a T3 interface.  

The current definition of total performance in pw mibs is problematic as it states that the the counters count from the pw start time and you'll have to handle the roll-out of each counter. In addition its not clear what 'management application reset' means.

Therefore my suggestion is either:
- Remove the Total performance tables from all PW MIBs. 
- Align them with RFC3895

Ron

-----Original Message-----
From: Orly Nicklass [mailto:[email-masked]] 
Sent: Tuesday, October 25, 2005 7:12 PM
To: Thomas D. Nadeau; Ron Cohen
Cc: [email-masked]; [email-masked]; Doron Tzur
Subject: RE: Alignment of TotalPerf tables in PW MIBs

 I think we should re-evaluate the semantic, cumulative sum of existing data provides no added information.
3895 maintains those for backward compatibility. 3592 does not have it, and 3276 moves towards days interval. This indicates some trend as I mentioned before.

-----Original Message-----
From: Thomas D. Nadeau [mailto:[email-masked]]
Sent: Tuesday, October 25, 2005 16:48
To: Ron Cohen
Cc: [email-masked]; Orly Nicklass; [email-masked]; Doron Tzur
Subject: Re: Alignment of TotalPerf tables in PW MIBs

     --Tom

---

From: "Orly Nicklass" <[email-masked]>
Date: Wed, 26 Oct 2005 10:07:54 +0200

Pls see in lines 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Ron Cohen
Sent: Tuesday, October 25, 2005 23:54
To: Orly Nicklass; Thomas D. Nadeau
Cc: [email-masked]; Doron Tzur; [email-masked]
Subject: [PWE3] RE: Alignment of TotalPerf tables in PW MIBs

Orly,

I agree that the Total table does not add any new information that can
not be compiled from the interval table if 24 hours worth intervals are
kept. However, maintaining 24 hour history is only an option (the
default being 32 intervals: 8 hours). 

I do not agree that there is a difference between an T1 interface and a
T1 pw. They should be treated the same way. The T1 can be a physical
interface but can also be a channel carried in a T3 interface.  

The current definition of total performance in pw mibs is problematic as
it states that the the counters count from the pw start time and you'll
have to handle the roll-out of each counter. In addition its not clear
what 'management application reset' means.

----[on] counters are valid when they  maintain some continuity. If we
relate to values though the life of a connection, discontinuity can
occur at system reset (enforced reboot) or by NMS command. I suppose the
later make no sense to use, so only reboot is applicable. If we worry
about roll-out, we can use larger counter.

----[on]I suppose the alignment you are looking for is a day interval in
case the agent maintain less then 96 intervals of 15min. Otherwise there
is no point for such at all. Saying that maybe we should consider the
actual use. Total of  24 hours shifted every 15min provides duplicate of
information. Maybe we should really use the day interval as define in
3276?

Ron

-----Original Message-----
From: Thomas D. Nadeau [mailto:[email-masked]]
Sent: Tuesday, October 25, 2005 16:48
To: Ron Cohen
Cc: [email-masked]; Orly Nicklass; [email-masked]; Doron Tzur
Subject: Re: Alignment of TotalPerf tables in PW MIBs

     --Tom

---

From: "Ron Cohen" <[email-masked]>
Date: Wed, 26 Oct 2005 14:13:57 +0200

Orly,

I think your proposal to align to RFC3276 is a good idea.

Basically there are two main points to learn from RFC3276:
- Add clarification about persistency of the current, interval and total performance tables (see below)
- Change Total to include daily intervals (This may be an overkill, but I vote for it anyhow...)

Details:

RFC3276 defines three tables for performance monitoring (definition copied at end).

- A current status table (persistent)
- A 15 minute interval table (non-persistent) Required to support 1 interval, optional to support one day (96 intervals)
- A daily table (non-persistent). Required to support 1 day. Optional to support 1 month.

If this is agreed by everyone we can sketch a proposal for required changes

Feedback?

Ron

hdsl2ShdslEndpointCurrTable OBJECT-TYPE
   SYNTAX      SEQUENCE OF Hdsl2ShdslEndpointCurrEntry
   MAX-ACCESS  not-accessible
   STATUS      current
   DESCRIPTION
     "This table contains current status and performance information
      for segment endpoints in HDSL2/SHDSL Lines.  As with other
      tables in this MIB indexed by ifIndex, entries in this table
      MUST be maintained in a persistent manner."
   ::= { hdsl2ShdslMibObjects 5 }

hdsl2Shdsl15MinIntervalTable OBJECT-TYPE
   SYNTAX      SEQUENCE OF Hdsl2Shdsl15MinIntervalEntry
   MAX-ACCESS  not-accessible
   STATUS      current
   DESCRIPTION
     "This table provides one row for each HDSL2/SHDSL endpoint
      performance data collection interval.  This table contains
      live data from equipment.  As such, it is NOT persistent."
   ::= { hdsl2ShdslMibObjects 6 }

hdsl2Shdsl1DayIntervalTable OBJECT-TYPE
   SYNTAX      SEQUENCE OF Hdsl2Shdsl1DayIntervalEntry
   MAX-ACCESS  not-accessible
   STATUS      current
   DESCRIPTION
     "This table provides one row for each HDSL2/SHDSL endpoint
      performance data collection interval.  This table contains
      live data from equipment.  As such, it is NOT persistent."
   ::= { hdsl2ShdslMibObjects 7 }

-----Original Message-----
From: Orly Nicklass [mailto:[email-masked]] 
Sent: Wednesday, October 26, 2005 10:08 AM
To: Ron Cohen; Thomas D. Nadeau
Cc: [email-masked]; Doron Tzur; [email-masked]
Subject: RE: [PWE3] RE: Alignment of TotalPerf tables in PW MIBs

Pls see in lines 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Ron Cohen
Sent: Tuesday, October 25, 2005 23:54
To: Orly Nicklass; Thomas D. Nadeau
Cc: [email-masked]; Doron Tzur; [email-masked]
Subject: [PWE3] RE: Alignment of TotalPerf tables in PW MIBs

Orly,

I do not agree that there is a difference between an T1 interface and a
T1 pw. They should be treated the same way. The T1 can be a physical interface but can also be a channel carried in a T3 interface.  

----[on] counters are valid when they  maintain some continuity. If we relate to values though the life of a connection, discontinuity can occur at system reset (enforced reboot) or by NMS command. I suppose the later make no sense to use, so only reboot is applicable. If we worry about roll-out, we can use larger counter.

----[on]I suppose the alignment you are looking for is a day interval in case the agent maintain less then 96 intervals of 15min. Otherwise there is no point for such at all. Saying that maybe we should consider the actual use. Total of  24 hours shifted every 15min provides duplicate of information. Maybe we should really use the day interval as define in 3276?

Ron

-----Original Message-----
From: Thomas D. Nadeau [mailto:[email-masked]]
Sent: Tuesday, October 25, 2005 16:48
To: Ron Cohen
Cc: [email-masked]; Orly Nicklass; [email-masked]; Doron Tzur
Subject: Re: Alignment of TotalPerf tables in PW MIBs

     --Tom

---

From: "David Zelig" <[email-masked]>
Date: Wed, 26 Oct 2005 17:57:13 +0200

Ron and Orly,
I agree that the total tables are either redundant or problematic for the implementation, however do not think that all applications would require the day intervals, so it should be optional.
In addition, there is a need for previous day table since just after the end of the day interval, you need to be able to read the previous day performance.

David

-----Original Message-----
From: Ron Cohen [mailto:[email-masked]]
Sent: Wednesday, October 26, 2005 2:14 PM
To: Orly Nicklass; Thomas D. Nadeau
Cc: [email-masked]; Doron Tzur; David Zelig
Subject: RE: [PWE3] RE: Alignment of TotalPerf tables in PW MIBs

Orly,

Details:

Feedback?

Ron

 

-----Original Message-----
From: Orly Nicklass [mailto:[email-masked]] 
Sent: Wednesday, October 26, 2005 10:08 AM
To: Ron Cohen; Thomas D. Nadeau
Cc: [email-masked]; Doron Tzur; [email-masked]
Subject: RE: [PWE3] RE: Alignment of TotalPerf tables in PW MIBs

Pls see in lines 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Ron Cohen
Sent: Tuesday, October 25, 2005 23:54
To: Orly Nicklass; Thomas D. Nadeau
Cc: [email-masked]; Doron Tzur; [email-masked]
Subject: [PWE3] RE: Alignment of TotalPerf tables in PW MIBs

Orly,

Ron

-----Original Message-----
From: Thomas D. Nadeau [mailto:[email-masked]]
Sent: Tuesday, October 25, 2005 16:48
To: Ron Cohen
Cc: [email-masked]; Orly Nicklass; [email-masked]; Doron Tzur
Subject: Re: Alignment of TotalPerf tables in PW MIBs

     --Tom

---

From: "Orly Nicklass" <[email-masked]>
Date: Wed, 26 Oct 2005 18:15:00 +0200

We can define the day Interval table and current day to align with
15min. Both (day tables) can be optional and the number of recommended
intervals can be 1, 7, 31 depending on agent resources and capabilities.
The 1st interval will old the previous day, if implemented.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
David Zelig
Sent: Wednesday, October 26, 2005 17:57
To: Ron Cohen; Orly Nicklass
Cc: Thomas D. Nadeau; Doron Tzur; [email-masked]
Subject: RE: [PWE3] RE: Alignment of TotalPerf tables in PW MIBs

Ron and Orly,
I agree that the total tables are either redundant or problematic for
the implementation, however do not think that all applications would
require the day intervals, so it should be optional.
In addition, there is a need for previous day table since just after the
end of the day interval, you need to be able to read the previous day
performance.

David

-----Original Message-----
From: Ron Cohen [mailto:[email-masked]]
Sent: Wednesday, October 26, 2005 2:14 PM
To: Orly Nicklass; Thomas D. Nadeau
Cc: [email-masked]; Doron Tzur; David Zelig
Subject: RE: [PWE3] RE: Alignment of TotalPerf tables in PW MIBs

Orly,

Basically there are two main points to learn from RFC3276:
- Add clarification about persistency of the current, interval and total
performance tables (see below)
- Change Total to include daily intervals (This may be an overkill, but
I vote for it anyhow...)

Details:

RFC3276 defines three tables for performance monitoring (definition
copied at end).

- A current status table (persistent)
- A 15 minute interval table (non-persistent) Required to support 1
interval, optional to support one day (96 intervals)
- A daily table (non-persistent). Required to support 1 day. Optional to
support 1 month.

If this is agreed by everyone we can sketch a proposal for required
changes

Feedback?

Ron

 

-----Original Message-----
From: Orly Nicklass [mailto:[email-masked]]
Sent: Wednesday, October 26, 2005 10:08 AM
To: Ron Cohen; Thomas D. Nadeau
Cc: [email-masked]; Doron Tzur; [email-masked]
Subject: RE: [PWE3] RE: Alignment of TotalPerf tables in PW MIBs

Pls see in lines 

-----Original Message-----

Orly,

Ron

-----Original Message-----
From: Thomas D. Nadeau [mailto:[email-masked]]
Sent: Tuesday, October 25, 2005 16:48
To: Ron Cohen
Cc: [email-masked]; Orly Nicklass; [email-masked]; Doron Tzur
Subject: Re: Alignment of TotalPerf tables in PW MIBs

     --Tom

---

From: "Ron Cohen" <[email-masked]>
Date: Thu, 27 Oct 2005 09:32:39 +0200

David,

To address your concern I'd like to point out that RFC3276 does not change the basic behavior of interval tables or day tables with respect to wall clock:

   There is no requirement for an agent to ensure a fixed relationship
   between the start of a fifteen minute interval and any wall clock;
   however some implementations may align the fifteen minute intervals
   with quarter hours.  Likewise, an implementation may choose to align
   one day intervals with the start of a day.

The interval table itself is not cleared at the end of a day. During normal operation it always keeps the maximum past intervals that it can. The days table keeps the previous 24 hours information. If the agent has been working for 25 hours and support 96 intervals in the interval table we should see the current status and counters in the current table, we'll see the last 24 hours worth of counters in the interval table and we'll see one entry in the daily table describing the 24 hours accumulated statistics since the beginning of operation (I assume here the agent does not align the tables to wall clock).

Therefore if we adopt RFC3276 approach the problem you raised does not occur.

What ever we decide as a group we have to add clarification about persistency to the interval table.

Regarding Total table I think basically we have two good options:
1. Decide not to have Total tables at all
2. Align with RFC3276 (change total to daily)

Ron

-----Original Message-----
From: Orly Nicklass [mailto:[email-masked]] 
Sent: Wednesday, October 26, 2005 6:15 PM
To: David Zelig; Ron Cohen
Cc: Thomas D. Nadeau; Doron Tzur; [email-masked]
Subject: RE: [PWE3] RE: Alignment of TotalPerf tables in PW MIBs

We can define the day Interval table and current day to align with 15min. Both (day tables) can be optional and the number of recommended intervals can be 1, 7, 31 depending on agent resources and capabilities.
The 1st interval will old the previous day, if implemented.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of David Zelig
Sent: Wednesday, October 26, 2005 17:57
To: Ron Cohen; Orly Nicklass
Cc: Thomas D. Nadeau; Doron Tzur; [email-masked]
Subject: RE: [PWE3] RE: Alignment of TotalPerf tables in PW MIBs

Ron and Orly,

David

-----Original Message-----
From: Ron Cohen [mailto:[email-masked]]
Sent: Wednesday, October 26, 2005 2:14 PM
To: Orly Nicklass; Thomas D. Nadeau
Cc: [email-masked]; Doron Tzur; David Zelig
Subject: RE: [PWE3] RE: Alignment of TotalPerf tables in PW MIBs

Orly,

Details:

Feedback?

Ron

 

-----Original Message-----
From: Orly Nicklass [mailto:[email-masked]]
Sent: Wednesday, October 26, 2005 10:08 AM
To: Ron Cohen; Thomas D. Nadeau
Cc: [email-masked]; Doron Tzur; [email-masked]
Subject: RE: [PWE3] RE: Alignment of TotalPerf tables in PW MIBs

Pls see in lines 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Ron Cohen
Sent: Tuesday, October 25, 2005 23:54
To: Orly Nicklass; Thomas D. Nadeau
Cc: [email-masked]; Doron Tzur; [email-masked]
Subject: [PWE3] RE: Alignment of TotalPerf tables in PW MIBs

Orly,

Ron

-----Original Message-----
From: Thomas D. Nadeau [mailto:[email-masked]]
Sent: Tuesday, October 25, 2005 16:48
To: Ron Cohen
Cc: [email-masked]; Orly Nicklass; [email-masked]; Doron Tzur
Subject: Re: Alignment of TotalPerf tables in PW MIBs

     --Tom

---

From: "Orly Nicklass" <[email-masked]>
Date: Thu, 27 Oct 2005 19:24:29 +0200

If we select option 2 it should be read as :Align with RFC3276 (change
total to daily) having current day and (optional) Interval day.

Now the total is a single table, if we wish to have history it requires
the interval table too.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Ron Cohen
Sent: Thursday, October 27, 2005 09:33
To: Orly Nicklass; David Zelig
Cc: Thomas D. Nadeau; Doron Tzur; [email-masked]
Subject: RE: [PWE3] RE: Alignment of TotalPerf tables in PW MIBs

David,

To address your concern I'd like to point out that RFC3276 does not
change the basic behavior of interval tables or day tables with respect
to wall clock:

The interval table itself is not cleared at the end of a day. During
normal operation it always keeps the maximum past intervals that it can.
The days table keeps the previous 24 hours information. If the agent has
been working for 25 hours and support 96 intervals in the interval table
we should see the current status and counters in the current table,
we'll see the last 24 hours worth of counters in the interval table and
we'll see one entry in the daily table describing the 24 hours
accumulated statistics since the beginning of operation (I assume here
the agent does not align the tables to wall clock).

Therefore if we adopt RFC3276 approach the problem you raised does not
occur.

What ever we decide as a group we have to add clarification about
persistency to the interval table.

Regarding Total table I think basically we have two good options:
1. Decide not to have Total tables at all 2. Align with RFC3276 (change
total to daily)

Ron

-----Original Message-----

Ron and Orly,

David

-----Original Message-----
From: Ron Cohen [mailto:[email-masked]]
Sent: Wednesday, October 26, 2005 2:14 PM
To: Orly Nicklass; Thomas D. Nadeau
Cc: [email-masked]; Doron Tzur; David Zelig
Subject: RE: [PWE3] RE: Alignment of TotalPerf tables in PW MIBs

Orly,

Details:

Feedback?

Ron

 

-----Original Message-----
From: Orly Nicklass [mailto:[email-masked]]
Sent: Wednesday, October 26, 2005 10:08 AM
To: Ron Cohen; Thomas D. Nadeau
Cc: [email-masked]; Doron Tzur; [email-masked]
Subject: RE: [PWE3] RE: Alignment of TotalPerf tables in PW MIBs

Pls see in lines 

-----Original Message-----

Orly,

Ron

-----Original Message-----
From: Thomas D. Nadeau [mailto:[email-masked]]
Sent: Tuesday, October 25, 2005 16:48
To: Ron Cohen
Cc: [email-masked]; Orly Nicklass; [email-masked]; Doron Tzur
Subject: Re: Alignment of TotalPerf tables in PW MIBs

     --Tom